Bug 1489494 - Review Request: mock-core-configs - Mock core config files basic chroots
Summary: Review Request: mock-core-configs - Mock core config files basic chroots
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-07 14:35 UTC by Miroslav Suchý
Modified: 2017-10-08 18:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-08 18:28:34 UTC
Type: ---
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Miroslav Suchý 2017-09-07 14:35:12 UTC
Spec URL: http://miroslav.suchy.cz/fedora/mock-core-configs.spec
SRPM URL: http://miroslav.suchy.cz/fedora/mock-core-configs-27.1-1.fc26.src.rpm
Description: Config files which allow you to create chroots for:
 * Fedora
 * Epel
 * Mageia
 * Custom chroot

Fedora Account System Username: msuchy

Comment 1 Sergio Basto 2017-09-07 15:42:23 UTC
hawkey was retired in F26 ! in my f25 run [1], give me x86_64 , why not use `uname -m` ? 


[1]
python3 -c "import dnf.rpm; import hawkey; print(dnf.rpm.basearch(hawkey.detect_arch()))"

Comment 2 Neal Gompa 2017-09-07 15:46:30 UTC
Taking this review.

Comment 3 Neal Gompa 2017-09-07 15:46:59 UTC
(In reply to Sergio Monteiro Basto from comment #1)
> hawkey was retired in F26 ! in my f25 run [1], give me x86_64 , why not use
> `uname -m` ? 
> 
> 
> [1]
> python3 -c "import dnf.rpm; import hawkey;
> print(dnf.rpm.basearch(hawkey.detect_arch()))"

libdnf provides the Hawkey Python API. The Hawkey C API was removed.

Comment 4 Miroslav Suchý 2017-09-08 06:51:39 UTC
Yes. There is python3-hawkey, which in past used hawkey C API, but now it uses libdnf. DNF team just decided that it is not needed to change the python name. The functionality stays the same.

> why not use `uname -m`
because I want the get the same string as DNF use internally. And I do not want to be surprised on some secondary architectures where it may or not return slightly different results.

Comment 5 Igor Gnatenko 2017-09-08 06:55:27 UTC
Please, don't run dnf/rpm/libdnf from scriptlet. It's worst thing ever!

Also don't use hawkey directly, it will be retired soon-ish.

Comment 6 Miroslav Suchý 2017-09-08 07:33:06 UTC
> dnf/rpm/libdnf from scriptlet. It's worst thing ever!

I agree with dnf/rpm. Can you elaborate why not libdnf? Especially this 
  import hawkey; print(dnf.rpm.basearch(hawkey.detect_arch())
which does not touch/need transaction?

Comment 7 Miroslav Suchý 2017-09-12 13:29:54 UTC
@Neal ping. Any progress?

Comment 8 Neal Gompa 2017-09-12 13:52:18 UTC
> Source:		%{name}-%{version}.tar.gz

Change this to the URL, and then I will okay this.

Comment 9 Miroslav Suchý 2017-09-12 15:08:22 UTC
Sigh. You are cruel. :)

Spec URL: http://miroslav.suchy.cz/fedora/mock-core-configs.spec
SRPM URL: http://miroslav.suchy.cz/fedora/mock-core-configs-27.2-1.fc26.src.rpm

Comment 10 Neal Gompa 2017-09-13 08:58:51 UTC
Now you know my pain. :)

PACKAGE APPROVED.

Comment 11 Gwyn Ciesla 2017-09-13 12:18:04 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/mock-core-configs. You may commit to the branch "f27" in about 10 minutes.

Comment 12 Sergio Basto 2017-10-08 18:28:34 UTC
Fixed , package are in stable of all branches [1] .

Thanks.

[1]
https://bodhi.fedoraproject.org/updates/?packages=mock-core-configs


Note You need to log in before you can comment on or make changes to this bug.